import { GeoTimezoneFinder } from '../../adapters/secondaries/geo-timezone-finder';

describe('Geo TZ Finder', () => {
  it('should be defined', () => {
    const timezoneFinder: GeoTimezoneFinder = new GeoTimezoneFinder();
    expect(timezoneFinder).toBeDefined();
  });
  it('should get timezone for Nancy(France) as Europe/Paris', () => {
    const timezoneFinder: GeoTimezoneFinder = new GeoTimezoneFinder();
    const timezones = timezoneFinder.timezones(6.179373, 48.687913);
    expect(timezones.length).toBe(1);
    expect(timezones[0]).toBe('Europe/Paris');
  });
});
